Skip to content

notifications_list

GET
/api/notifications
curl --request GET \
--url https://example.com/api/notifications \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

List all the notification.

X-Workspace
required
string format: uuid

Workspace ID

archived
boolean

Filter notifications by archived status.

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

unread
boolean

Filter notifications by unread status.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for Notification model.

object
id
required
integer
actor_object
required

Return a dictionary containing information about the actor object.

Parameters

obj : object The object that contains an actor attribute with relevant information.

Returns

dict A dictionary containing the actor’s full name, email, class name, and ID.

object
key
additional properties
verb
string
action_object
required

Return a dictionary containing information about the action object.

Parameters

obj : object The object that contains information about an action object.

Returns

dict A dictionary with keys “obj” and “id”, representing the content type of the action object and its ID, respectively. Includes “extra_info” if applicable.

object
key
additional properties
target_object
required

Return a dictionary containing information about a target object.

Parameters

obj : object The object that has a target attribute with relevant information.

Returns

dict A dictionary containing the target object’s content type name, type ID, and title. Includes “extra_info” if applicable.

object
key
additional properties
workspace
string
level
required
string
Allowed values: success info warning error
timestamp
required
string format: date-time
description
required
string
nullable
download_url
required

Return the download URL stored in extra data, if any.

string
nullable
count
required

Return the number of objects a grouped notification stands for, if any.

integer
nullable
unread
boolean
archived
boolean

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2",
"results": [
{
"level": "success"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "query_validation_error",
"message": "Invalid query parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "archived",
"message": "archived_value is not a valid boolean.",
"code": "invalid"
}
]
}